# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "bindep/version"

Gem::Specification.new do |spec|
  spec.name          = "bindep"
  spec.version       = Bindep::VERSION
  spec.authors       = ["Niko Dziemba"]
  spec.email         = ["niko@dziemba.com"]
  spec.summary       = "A simple way to manage binary dependencies for multiple platforms."
  spec.description   = spec.summary
  spec.homepage      = "https://github.com/dziemba/bindep"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "coveralls"
  spec.add_development_dependency "simplecov"
end
